<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#180602">

    <androidx.core.widget.NestedScrollView
        android:id="@+id/nestedScrollView"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toTopOf="@+id/bottom_layout"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_top_bg"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:src="@mipmap/ic_vip_top_bg1"
                app:layout_constraintDimensionRatio="h,1125:1200"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_user_tips"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_100"
                android:orientation="horizontal"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager"
                app:layout_constraintTop_toTopOf="parent"
                tools:listitem="@layout/listitem_vip_user_tip" />

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/layout_tab"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginTop="363dp"
                android:background="@mipmap/ic_vip_tab_bg"
                app:layout_constraintDimensionRatio="h,1125:146"
                app:layout_constraintTop_toTopOf="parent">

                <com.cheng.blzb.widget.CommonShapeView
                    android:id="@+id/btn_tab1"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:drawableStart="@drawable/shape_vip_tab_checked1"
                    android:text="个人会员"
                    android:textColor="@color/color_c5ffe1"
                    android:textSize="@dimen/sp_16"
                    app:csb_drawablePosition="left"
                    app:csb_fillColor="@color/transparent"
                    app:layout_constraintEnd_toStartOf="@id/btn_tab2"
                    app:layout_constraintStart_toStartOf="parent" />

                <com.cheng.blzb.widget.CommonShapeView
                    android:id="@+id/btn_tab2"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:drawableStart="@drawable/shape_vip_tab_default2"
                    android:text="企业会员"
                    android:textColor="@color/color_8a7570"
                    android:textSize="@dimen/sp_16"
                    app:csb_drawablePosition="left"
                    app:csb_fillColor="@color/transparent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@id/btn_tab1" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_goods"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_12"
                android:layout_marginTop="@dimen/dp_40"
                android:layout_marginEnd="@dimen/dp_12"
                android:overScrollMode="never"
                app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                app:layout_constraintTop_toBottomOf="@id/layout_tab"
                app:spanCount="3"
                tools:itemCount="3"
                tools:listitem="@layout/listitem_vip_goods" />

            <LinearLayout
                android:id="@+id/layout_countdown"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_32"
                android:gravity="center"
                android:orientation="horizontal"
                android:visibility="gone"
                app:layout_constraintTop_toBottomOf="@id/rv_goods">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="新人优惠结束"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:id="@+id/tv_day"
                    android:layout_width="@dimen/dp_20"
                    android:layout_height="@dimen/dp_20"
                    android:layout_marginStart="@dimen/dp_4"
                    android:layout_marginEnd="@dimen/dp_4"
                    android:background="@drawable/shape_vip_countdown_bg1"
                    android:gravity="center"
                    android:text="00"
                    android:textColor="@color/color_7e4024"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="天"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:id="@+id/tv_hour"
                    android:layout_width="@dimen/dp_20"
                    android:layout_height="@dimen/dp_20"
                    android:layout_marginStart="@dimen/dp_4"
                    android:layout_marginEnd="@dimen/dp_4"
                    android:background="@drawable/shape_vip_countdown_bg1"
                    android:gravity="center"
                    android:text="00"
                    android:textColor="@color/color_7e4024"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="时"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:id="@+id/tv_minute"
                    android:layout_width="@dimen/dp_20"
                    android:layout_height="@dimen/dp_20"
                    android:layout_marginStart="@dimen/dp_4"
                    android:layout_marginEnd="@dimen/dp_4"
                    android:background="@drawable/shape_vip_countdown_bg1"
                    android:gravity="center"
                    android:text="00"
                    android:textColor="@color/color_7e4024"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="分"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:id="@+id/tv_second"
                    android:layout_width="@dimen/dp_20"
                    android:layout_height="@dimen/dp_20"
                    android:layout_marginStart="@dimen/dp_4"
                    android:layout_marginEnd="@dimen/dp_4"
                    android:background="@drawable/shape_vip_countdown_bg1"
                    android:gravity="center"
                    android:text="00"
                    android:textColor="@color/color_7e4024"
                    android:textSize="@dimen/sp_12" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="秒"
                    android:textColor="@color/white"
                    android:textSize="@dimen/sp_12" />
            </LinearLayout>

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/layout_pay"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginTop="@dimen/dp_4"
                android:layout_marginEnd="@dimen/dp_16"
                android:background="@mipmap/ic_vip_pay_bg1"
                android:paddingStart="@dimen/dp_8"
                android:paddingEnd="@dimen/dp_8"
                android:paddingBottom="@dimen/dp_20"
                app:layout_constraintTop_toBottomOf="@id/layout_countdown">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/layout_seat"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_42"
                    android:background="@drawable/shape_vip_seat_bg"
                    app:layout_constraintTop_toTopOf="parent">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:id="@+id/iv_seat_icon1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_12"
                        android:layout_marginTop="@dimen/dp_13"
                        android:src="@mipmap/ic_vip_seat"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <androidx.appcompat.widget.AppCompatImageView
                        android:id="@+id/iv_seat_icon2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_24"
                        android:layout_marginTop="@dimen/dp_10"
                        android:src="@mipmap/ic_vip_tag_small"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_seat_tip1"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_7"
                        android:text="增加1个席位"
                        android:textColor="@color/color_222222"
                        android:textSize="@dimen/sp_16"
                        app:layout_constraintBottom_toBottomOf="@id/iv_seat_icon1"
                        app:layout_constraintStart_toEndOf="@id/iv_seat_icon1"
                        app:layout_constraintTop_toTopOf="@id/iv_seat_icon1" />

                    <androidx.appcompat.widget.AppCompatImageView
                        android:id="@+id/iv_seat_arrow"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_4"
                        android:src="@mipmap/ic_seat_arrow"
                        app:layout_constraintBottom_toBottomOf="@id/tv_seat_tip1"
                        app:layout_constraintStart_toEndOf="@id/tv_seat_tip1"
                        app:layout_constraintTop_toTopOf="@id/tv_seat_tip1" />

                    <com.cheng.blzb.widget.CommonShapeView
                        android:id="@+id/tv_seat_price"
                        android:layout_width="wrap_content"
                        android:layout_height="@dimen/dp_18"
                        android:gravity="center"
                        android:paddingStart="@dimen/dp_5"
                        android:paddingEnd="@dimen/dp_5"
                        android:text="+￥100"
                        android:textColor="@color/white"
                        android:textSize="@dimen/sp_12"
                        app:csb_cornerRadius="@dimen/dp_3"
                        app:csb_fillColor="#F94747"
                        app:layout_constraintBottom_toBottomOf="@id/iv_seat_arrow"
                        app:layout_constraintStart_toEndOf="@id/iv_seat_arrow"
                        app:layout_constraintTop_toTopOf="@id/iv_seat_arrow" />

                    <TextView
                        android:id="@+id/tv_seat_origin_price"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/dp_7"
                        android:text="(原￥480)"
                        android:textColor="#708479"
                        android:textSize="@dimen/sp_10"
                        app:layout_constraintBottom_toBottomOf="@id/tv_seat_price"
                        app:layout_constraintStart_toEndOf="@id/tv_seat_price"
                        app:layout_constraintTop_toTopOf="@id/tv_seat_price" />

                    <TextView
                        android:id="@+id/tv_seat_tip2"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/dp_12"
                        android:layout_marginBottom="@dimen/dp_18"
                        android:text="当前1个主号+3个席位"
                        android:textColor="@color/color_222222"
                        android:textSize="@dimen/sp_14"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="@id/iv_seat_icon1"
                        app:layout_constraintTop_toBottomOf="@id/iv_seat_icon1" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginEnd="@dimen/dp_12"
                        android:background="@drawable/shape_daf0e6_cor4"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        app:layout_constraintBottom_toBottomOf="@id/tv_seat_tip2"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="@id/tv_seat_tip2">

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/iv_subtract"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:padding="@dimen/dp_4"
                            android:src="@mipmap/ic_subtract_count_disable" />

                        <TextView
                            android:id="@+id/tv_count"
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:gravity="center"
                            android:minWidth="@dimen/dp_36"
                            android:text="3"
                            android:textColor="@color/color_1a1a1a"
                            android:textSize="@dimen/sp_15"
                            android:textStyle="bold" />

                        <androidx.appcompat.widget.AppCompatImageView
                            android:id="@+id/iv_add"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:padding="@dimen/dp_4"
                            android:src="@mipmap/ic_add_count" />
                    </LinearLayout>

                </androidx.constraintlayout.widget.ConstraintLayout>

                <LinearLayout
                    android:id="@+id/layout_coupon_redpacket"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_12"
                    android:layout_marginEnd="@dimen/dp_12"
                    android:background="@drawable/shape_vip_coupon_bg"
                    android:orientation="vertical"
                    android:visibility="gone"
                    app:layout_constraintTop_toBottomOf="@id/layout_seat"
                    app:layout_goneMarginTop="@dimen/dp_42">

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/layout_coupon"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_44">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_12"
                            android:drawableStart="@mipmap/ic_vip_coupon"
                            android:drawablePadding="@dimen/dp_8"
                            android:gravity="center"
                            android:text="折扣优惠券"
                            android:textColor="@color/white"
                            android:textSize="@dimen/sp_14"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="@dimen/dp_6"
                            android:drawableEnd="@mipmap/ic_arrow_dp16"
                            android:text="暂无可用的优惠券"
                            android:textColor="@color/color_fffaef"
                            android:textSize="@dimen/sp_12"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />
                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_1"
                        android:background="#39443F" />

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/layout_red_packet"
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/dp_44">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="@dimen/dp_12"
                            android:drawableStart="@mipmap/ic_vip_redpacket"
                            android:drawablePadding="@dimen/dp_8"
                            android:gravity="center"
                            android:text="现金红包"
                            android:textColor="@color/white"
                            android:textSize="@dimen/sp_14"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginEnd="@dimen/dp_6"
                            android:drawableEnd="@mipmap/ic_arrow_dp16"
                            android:text="暂无可用的红包"
                            android:textColor="@color/color_fffaef"
                            android:textSize="@dimen/sp_12"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent" />
                    </androidx.constraintlayout.widget.ConstraintLayout>
                </LinearLayout>

                <TextView
                    android:id="@+id/tv_wx_pay"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_54"
                    android:layout_marginTop="@dimen/dp_12"
                    app:layout_goneMarginTop="@dimen/dp_16"
                    android:drawableStart="@mipmap/ic_wx_pay"
                    android:drawableEnd="@mipmap/ic_pay_default"
                    android:drawablePadding="@dimen/dp_10"
                    android:gravity="center_vertical"
                    android:paddingStart="@dimen/dp_12"
                    android:paddingEnd="@dimen/dp_12"
                    android:text="微信支付"
                    android:textColor="@color/color_fdf7f0"
                    android:textSize="@dimen/sp_15"
                    app:layout_constraintTop_toBottomOf="@id/layout_coupon_redpacket" />

                <TextView
                    android:id="@+id/tv_ali_pay"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_54"
                    android:drawableStart="@mipmap/ic_ali_pay"
                    android:drawableEnd="@mipmap/ic_pay_checked1"
                    android:drawablePadding="@dimen/dp_10"
                    android:gravity="center_vertical"
                    android:paddingStart="@dimen/dp_12"
                    app:layout_goneMarginTop="@dimen/dp_16"
                    android:paddingEnd="@dimen/dp_12"
                    android:text="支付宝支付"
                    android:textColor="@color/color_fdf7f0"
                    android:textSize="@dimen/sp_15"
                    app:layout_constraintTop_toBottomOf="@id/tv_wx_pay" />

                <TextView
                    android:id="@+id/tv_bank_pay"
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/dp_54"
                    android:drawableStart="@mipmap/ic_transfer_pay"
                    android:drawableEnd="@mipmap/ic_pay_default"
                    android:drawablePadding="@dimen/dp_10"
                    android:gravity="center_vertical"
                    android:paddingStart="@dimen/dp_12"
                    android:paddingEnd="@dimen/dp_12"
                    android:text="对公转账"
                    android:textColor="@color/color_fdf7f0"
                    android:textSize="@dimen/sp_15"
                    app:layout_constraintTop_toBottomOf="@id/tv_ali_pay" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/iv_tips"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginStart="@dimen/dp_16"
                android:layout_marginEnd="@dimen/dp_16"
                android:src="@mipmap/ic_vip_tips1"
                app:layout_constraintDimensionRatio="h,1030:1010"
                app:layout_constraintTop_toBottomOf="@id/layout_pay" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_15"
                app:layout_constraintTop_toBottomOf="@id/iv_tips" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.core.widget.NestedScrollView>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/bottom_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#0A0A0A"
        android:paddingStart="@dimen/dp_16"
        android:paddingTop="@dimen/dp_9"
        android:paddingEnd="@dimen/dp_16"
        android:paddingBottom="@dimen/dp_9"
        app:layout_constraintBottom_toBottomOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/layout_pay_btn"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:background="@mipmap/ic_vip_pay_btn_bg1"
            app:layout_constraintDimensionRatio="h,1005:138"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_goneMarginTop="0dp">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/layout_price"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintWidth_percent="0.588">

                <TextView
                    android:id="@+id/tv_price"
                    android:layout_width="wrap_content"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical"
                    android:paddingStart="@dimen/dp_13"
                    android:text="￥398"
                    android:textColor="@color/color_fff4e6"
                    android:textSize="@dimen/sp_24"
                    app:layout_constraintStart_toStartOf="parent" />

                <TextView
                    android:id="@+id/tv_invoice"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="@dimen/dp_7"
                    android:layout_marginBottom="@dimen/dp_15"
                    android:text="(可开发票)"
                    android:textColor="@color/color_ecc9ae"
                    android:textSize="@dimen/sp_10"
                    app:layout_constraintBottom_toBottomOf="@id/tv_price"
                    app:layout_constraintStart_toEndOf="@id/tv_price" />

            </androidx.constraintlayout.widget.ConstraintLayout>

            <TextView
                android:id="@+id/tv_pay"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:gravity="center"
                android:text="立即购买"
                android:textColor="@color/color_703d27"
                android:textSize="@dimen/sp_16"
                android:textStyle="bold"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toEndOf="@id/layout_price" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <CheckBox
            android:id="@+id/cb_agree"
            android:layout_width="@dimen/dp_20"
            android:layout_height="@dimen/dp_20"
            android:layout_marginStart="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_15"
            android:background="@null"
            android:button="@null"
            android:drawableStart="@drawable/selector_default_check"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/layout_pay_btn" />

        <TextView
            android:id="@+id/tv_agree"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dp_5"
            android:layout_marginEnd="@dimen/dp_20"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:text="我已阅读并同意《会员服务协议规则》和《自动续费服务规则》"
            android:textColor="@color/color_fdf7f0"
            android:textSize="@dimen/sp_12"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toEndOf="@id/cb_agree"
            app:layout_constraintTop_toTopOf="@id/cb_agree" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <com.example.base.widget.TitleBar
        android:id="@+id/mTitleBar"
        style="@style/Custom.TitleBar"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:navigationIcon="@drawable/ic_back_black"
        app:title=" " />

</androidx.constraintlayout.widget.ConstraintLayout>